<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="#20ffffff">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="设置"
            android:textColor="@color/white"
            android:textSize="27sp"
            android:textStyle="bold" />


        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/save"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="5dp"
            android:drawableStart="@drawable/ic_save"
            android:text="保存并重启应用" />

    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <com.google.android.flexbox.FlexboxLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                app:flexDirection="row"
                app:flexWrap="wrap">

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/var_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_ver"
                        android:drawablePadding="10dp"
                        android:paddingVertical="5dp"
                        android:text="版本:1.10" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/sn_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_sn"
                        android:drawablePadding="10dp"
                        android:paddingVertical="5dp"
                        android:text="SN:" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/ip_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_ip"
                        android:drawablePadding="10dp"
                        android:text="127.0.0.1" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/reboot_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_reboot"
                        android:drawablePadding="10dp"
                        android:paddingVertical="5dp"
                        android:text="重启设备" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/exit_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_eixt"
                        android:drawablePadding="10dp"
                        android:text="退出应用" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/root_CV"
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp"
                    android:visibility="gone">

                    <androidx.appcompat.widget.AppCompatButton
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_admin"
                        android:drawablePadding="10dp"
                        android:text="已获取超级权限" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/file_browser_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_folder"
                        android:drawablePadding="10dp"
                        android:text="文件管理" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">


                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/status_switch"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:paddingHorizontal="10dp"
                        android:text="状态栏"
                        app:switchPadding="10dp" />

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/nav_switch"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:paddingHorizontal="10dp"
                        android:text="导航栏"
                        app:switchPadding="10dp" />

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/lock"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:paddingHorizontal="10dp"
                        android:text="锁"
                        app:switchPadding="10dp" />

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/setting_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_settings"
                        android:drawablePadding="10dp"
                        android:text="系统设置" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_margin="5dp">

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/face_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="10dp"
                        android:drawableStart="@drawable/ic_face"
                        android:drawablePadding="10dp"
                        android:text="人脸底库" />
                </androidx.cardview.widget.CardView>

            </com.google.android.flexbox.FlexboxLayout>

            <com.google.android.flexbox.FlexboxLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                app:flexDirection="row"
                app:flexWrap="wrap">

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingHorizontal="10dp"
                        android:paddingVertical="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Http服务配置"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="45dp"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_rect"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/http_uri_ET"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:clickable="false"
                                android:drawableStart="@drawable/ic_http"
                                android:drawablePadding="20dp"
                                android:gravity="start"
                                android:hint="http://192.168.1.8/api/"
                                android:paddingEnd="20dp"
                                android:text="" />

                            <androidx.appcompat.widget.AppCompatButton
                                android:id="@+id/testBaseUrlBT"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="测试地址" />

                            <androidx.appcompat.widget.AppCompatButton
                                android:id="@+id/xnBaseUrlBT"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="线上地址" />
                        </LinearLayout>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:text="Mqtt服务配置"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="45dp"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_rect"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="5dp"
                                android:drawableStart="@drawable/ic_mqtt_account"
                                android:drawablePadding="20dp"
                                android:text="账号:"
                                android:textStyle="bold" />

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/mqtt_userName_ET"
                                android:layout_width="150dp"
                                android:layout_height="match_parent"
                                android:paddingHorizontal="10dp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="45dp"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_rect"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="5dp"
                                android:drawableStart="@drawable/ic_mqtt_password"
                                android:drawablePadding="20dp"
                                android:text="密码:"
                                android:textStyle="bold" />

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/mqtt_passWord_ET"
                                android:layout_width="150dp"
                                android:layout_height="match_parent"
                                android:paddingHorizontal="10dp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="45dp"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_rect"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/mqtt_uri_ET"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:drawableStart="@drawable/ic_mqtt"
                                android:drawablePadding="20dp"
                                android:hint="tcp://127.0.0.1/80"
                                android:paddingEnd="20dp" />

                            <androidx.appcompat.widget.AppCompatButton
                                android:id="@+id/testMqttBT"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="测试地址" />

                            <androidx.appcompat.widget.AppCompatButton
                                android:id="@+id/xnMqttBT"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="线上地址" />

                        </LinearLayout>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:text="管理员密码"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="45dp"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_rect"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/old_password_ET"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:drawableStart="@drawable/ic_mqtt_password"
                                android:drawablePadding="20dp"
                                android:hint="密码"
                                android:maxLength="11"
                                android:maxLines="1"
                                android:paddingEnd="20dp" />

                        </LinearLayout>

                    </LinearLayout>

                </androidx.cardview.widget.CardView>


            </com.google.android.flexbox.FlexboxLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</LinearLayout>